%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
Summary:	Inline Perl module - write Perl subroutines in other programming languages
Summary(pl.UTF-8):	Moduł Perla Inline - tworzenie funkcji perlowych w innych językach programowania
Name:		perl-Inline
Version:	0.80
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Inline/%{pdir}-%{version}.tar.gz
# Source0-md5:	510bbac46e727bcaf240b7feac2646c9
URL:		http://search.cpan.org/dist/Inline/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	perl(File::Spec) >= 0.8
BuildRequires:	perl-Digest-MD5 >= 2.09
BuildRequires:	perl-Parse-RecDescent >= 1.80
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Warn >= 0.23
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

%description -l pl.UTF-8
Moduł Inline pozwala umieszczać kod źródłowy w innych językach
programowania bezpośrednio wewnątrz skryptu lub modułu perlowego. Kod
jest w razie potrzeby automatycznie kompilowany, a następnie ładowany
w celu bezpośredniego dostępu z poziomu Perla.

%prep
%setup -q -n %{pdir}-%{version}

%{__mv} lib/Inline/MakeMaker/Changes Changes.Inline_MakeMaker

%build
echo "y" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/*.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Inline/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Changes.Inline_MakeMaker README
%{perl_vendorlib}/Inline.pm
%{perl_vendorlib}/Inline/denter.pm
%{perl_vendorlib}/Inline/Foo.pm
%{perl_vendorlib}/Inline/MakeMaker.pm
%{_mandir}/man3/Inline.3pm*
%{_mandir}/man3/Inline::API.3pm*
%{_mandir}/man3/Inline::FAQ.3pm*
%{_mandir}/man3/Inline::Support.3pm*
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Inline.git;a=log;h=master

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> dd548bc
- updated to 0.80; Inline-C moved to separate .spec (perl-Inline-C)

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 752a401
- updated test dependencies

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> d1ce47e
- up to 0.50

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> b94ab5d
- typo

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> c6a4e7f
- updated to 0.49

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 5ccf8c3
- updated to 0.45

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c3bd21
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5c41ca1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4e209d7
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a4c464e
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 34125fc
- fixed perl-devel BR

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 9384273
- license fixes & unification

* Fri Jun 27 2003 Mariusz Mazur <mmazur@pld-linux.org> e36c529
- mass commit; now req: name = epoch:version

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0a3e2f6
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1ce333a
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 18fd3e0
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 3be0f70
- fixed

* Sat Mar 01 2003 radek <radek@pld-linux.org> 11dd8f4
- should be ready for perl-5.8.0; release++

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 3682afe
- massive attack: change CPAN URLs

* Thu Nov 21 2002 mis <mis@pld-linux.org> 4fab3cc
- autoupdated to 0.44

